Summary:        Python bindings for the ethtool kernel interface
Name:           python-ethtool
Version:        0.15
Release:        5%{?dist}
License:        GPLv2
URL:            https://github.com/fedora-python/python-ethtool
Source0:        https://files.pythonhosted.org/packages/d2/59/2137996ee2da077e9369ac323830938bfc14083049081d89fdd7f3cf20a5/ethtool-0.15.tar.gz
BuildRequires:  gcc python3-devel python3-setuptools libnl3-devel asciidoc net-tools

%description
Python bindings for the ethtool kernel interface

The Python ethtool module allows querying and partially controlling network \
interfaces, driver, and hardware settings.

Warning: No new development is happening. This is a deprecated package. \
If you are considering to start using this, please don't. We recommend \
netifaces instead. Another alternative is ethtool parsers from insights-core.

%package -n     python3-ethtool
Summary:        Python bindings for the ethtool kernel interface
Provides:       python3-ethtool = %{version}-%{release}

%description -n python3-ethtool
Python 3 bindings for the ethtool kernel interface

%prep
%autosetup -n ethtool-%{version}
rm -rf ethtool.egg-info

%build
%py3_build
a2x -d manpage -f manpage man/pethtool.8.asciidoc
a2x -d manpage -f manpage man/pifconfig.8.asciidoc

%install
%py3_install
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/pifconfig %{buildroot}%{_sbindir}/pifconfig
mv %{buildroot}%{_bindir}/pethtool %{buildroot}%{_sbindir}/pethtool

mkdir -p %{buildroot}%{_mandir}/man8/
cp -p man/*.8 %{buildroot}%{_mandir}/man8/

%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} tests/parse_ifconfig.py -v
%{__python3} -m unittest discover -v

%files -n python3-ethtool
%license COPYING
%doc README.rst CHANGES.rst
%doc %{_mandir}/man8/*
%{_sbindir}/pifconfig
%{_sbindir}/pethtool
%{python3_sitearch}/ethtool.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/ethtool-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Xun Zhong <victorzhong@tencent.com> - 0.15-1
- Initial build
